package cpcns.danganzhengli.wenshu.anjuan.controller;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.baoguanqixiancelue.service.IGQuanZongWeiHuService;
import cpcns.base.common.User;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.configuration.AppConfiguration;
import cpcns.base.generic.ResultMessage;
import cpcns.common.controller.commonController;
import cpcns.common.model.BaseEntity;
import cpcns.common.service.ICommonService;
import cpcns.danganmenlei.model.GDangAnMenLei;
import cpcns.danganmenlei.service.IGDangAnMenLeiService;
import cpcns.danganzhengli.wenshu.anjuan.model.DAnJuan;
import cpcns.danganzhengli.wenshu.anjuan.model.DAnJuanGuanLian;
import cpcns.danganzhengli.wenshu.anjuan.service.IDAnJuanGuanLianService;
import cpcns.danganzhengli.wenshu.anjuan.service.IDAnJuanService;
import cpcns.danganzhengli.wenshu.wenjian.service.IDWenJianService;
import cpcns.jhsks.xinxifenlei.xitongmokuai.xitongpeizhidaima.model.XiTongDaiMa;
import cpcns.jhsks.yonghuguanli.model.JiGouFenLei;
import cpcns.printManager.PrintUtil;
import cpcns.utils.CommStatic;
import cpcns.utils.DateUtil;
import cpcns.utils.PagerVO;
import cpcns.utils.YeWuStatic;
import cpcns.utils.tool;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Date;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import net.sf.json.JSONObject;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/dAnJuan"})
public class DAnJuanController extends commonController {
  @Autowired
  private IDAnJuanService dAnJuanService;
  
  @Autowired
  private IDAnJuanGuanLianService dAnJuanGuanLianService;
  
  @Autowired
  private IDWenJianService dWenJianService;
  
  @Autowired
  private ICommonService commonService;
  
  @Autowired
  private IGDangAnMenLeiService gDangAnMenLeiService;
  
  @Autowired
  private IGQuanZongWeiHuService quanZongWeiHuService;
  
  @RequestMapping({"/query.do"})
  public String execute(HttpServletRequest request, Model model) throws Exception {
    String menLei = request.getParameter("menLei");
    String zhuangTai = request.getParameter("zhuangTai");
    String tabView = request.getParameter("tabView");
    String quanZongHao = getRequest().getParameter("quanZongHao");
    GDangAnMenLei dam = this.gDangAnMenLeiService.findByFenLeiHao(menLei);
    if (dam != null)
      model.addAttribute("table_", dam.getBiaoMing()); 
    model.addAttribute("tabView", tabView);
    getRequest().setAttribute("quanZongHao", quanZongHao);
    getRequest().setAttribute("menLei", menLei);
    getRequest().setAttribute("zhuangTai", zhuangTai);
    return "danganzhengli/anjuan/AnJuanList";
  }
  
  @RequestMapping({"/load.do"})
  @ResponseBody
  public String load(HttpServletRequest request, HttpServletResponse response) {
    String data = "";
    if (this.hangBiaoShi != null && this.hangBiaoShi.intValue() > 0) {
      this.obj = this.dAnJuanService.getById(this.hangBiaoShi);
      data = JsonWithJacksonUtils.getInstance().obj2Json(this.obj);
    } 
    return data;
  }
  
  @RequestMapping({"/open.do"})
  public String open(HttpServletRequest request, HttpServletResponse response) {
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    String keyWordResult = request.getParameter("keyWordResult");
    String menLei = getRequest().getParameter("menLei");
    String czlx = getRequest().getParameter("czlx");
    DAnJuan cla = new DAnJuan();
    String laiyuan = request.getParameter("laiyuan");
    if (StringUtils.isNotBlank(hangBiaoShi)) {
      cla = (DAnJuan)this.dAnJuanService.getById(Integer.valueOf(Integer.parseInt(hangBiaoShi)));
      cla.setLjrq(DateUtil.getDate(cla.getLiJuanRiQi()));
      cla.setGdrq(DateUtil.getDate(cla.getGuiDangRiQi()));
      GDangAnMenLei dhgz = this.gDangAnMenLeiService.getByFenLeiHao(cla.getMenLei());
      if (dhgz != null) {
        getRequest().setAttribute("dangHaoGuiZe", dhgz.getAnJuanDangHao());
        getRequest().setAttribute("fenGeFu", dhgz.getFenGeFu());
        getRequest().setAttribute("qiDongDangHao", dhgz.getQiDongDangHao());
      } 
      getRequest().setAttribute("keyWordResult", keyWordResult);
      getRequest().setAttribute("laiyuan", laiyuan);
      this.dAnJuanService.addDA_RiZhi(getCurrentUser(), this.server, "D_AnJuan", cla.getHangBiaoShi(), String.valueOf(cla.getBiaoTi()) + "$." + cla.getDangHao() + "$." + cla.getMenLei(), "查看");
    } else {
      cla.setMenLei(menLei);
    } 
    getRequest().setAttribute("anJuan", cla);
    getRequest().setAttribute("czlx", czlx);
    getRequest().setAttribute("keyWordResult", keyWordResult);
    getRequest().setAttribute("menLei", menLei);
    String dWQuanZongHao = AppConfiguration.getConfigValue("CPCNS_QUANZHONGHAO");
    dWQuanZongHao = dWQuanZongHao.toUpperCase();
    getRequest().setAttribute("dWQuanZongHao", dWQuanZongHao);
    return "danganzhengli/anjuan/AnJuanEdit";
  }
  
  @RequestMapping({"/getAll.do"})
  public String getAll(HttpServletRequest request, HttpServletResponse response) throws IOException {
    String sqlSearch = getWhere(request);
    String page = request.getParameter("page");
    String rows = request.getParameter("rows");
    String menLei = request.getParameter("menLei");
    int intPage = Integer.parseInt((page == null || page == "0") ? "0" : page);
    int number = Integer.parseInt((rows == null || rows == "0") ? "0" : rows);
    int start = (intPage - 1) * number;
    String paixutiaojian = this.dAnJuanService.paiXuTiaoJian(String.valueOf(this.table.toUpperCase()) + "_" + menLei);
    if (StringUtils.isBlank(paixutiaojian))
      paixutiaojian = "quanZongHao,guiDangNianDu,baoGuanQiXian,xuHao asc"; 
    System.out.println(paixutiaojian);
    StringBuffer sql = new StringBuffer("select quanZongHao,zhuangTai,hangBiaoShi,biaoTi,xuHao,dangHao,guiDangBuMenMingCheng,muLuHao,baoGuanQiXian,guiDangNianDu,miJi,fenShu,ruKuFangZhuangTai,liJuanRiQi,fenLeiMingCheng,liJuanDanWeiMingCheng,liJuanDanWeiBiaoShi,qiShiJian,zhiShiJian from D_AnJuan where  ");
    PagerVO pagevo = this.dAnJuanService.getAll(start, number, sql.toString(), sqlSearch.toString(), CommStatic.getOrderBy(request, paixutiaojian));
    String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo);
    jsonString = jsonString.replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("BIAOTI", "biaoTi").replaceAll("XUHAO", "xuHao").replaceAll("QUANZONGHAO", "quanZongHao")
      .replaceAll("DANGHAO", "dangHao").replaceAll("GUIDANGBUMENMINGCHENG", "guiDangBuMenMingCheng").replaceAll("MULUHAO", "muLuHao").replaceAll("FENLEIMINGCHENG", "fenLeiMingCheng")
      .replaceAll("BAOGUANQIXIAN", "baoGuanQiXian").replaceAll("GUIDANGNIANDU", "guiDangNianDu").replaceAll("MIJI", "miJi").replaceAll("LIJUANRIQI", "liJuanRiQi")
      .replaceAll("FENSHU", "fenShu").replaceAll("RUKUFANGZHUANGTAI", "ruKuFangZhuangTai").replaceAll("ZHUANGTAI", "zhuangTai").replaceAll("LIJUANDANWEIMINGCHENG", "liJuanDanWeiMingCheng")
      .replaceAll("LIJUANDANWEIBIAOSHI", "liJuanDanWeiBiaoShi").replaceAll("QISHIJIAN", "qiShiJian").replaceAll("ZHISHIJIAN", "zhiShiJian");
    write(response, jsonString);
    return null;
  }
  
  private String getWhere(HttpServletRequest request) {
    Enumeration<?> rnames = getRequest().getParameterNames();
    JSONObject jsonObject = new JSONObject();
    for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
      String thisName = er.nextElement().toString();
      String thisValue = getRequest().getParameter(thisName);
      if (!"querystr".equals(thisName))
        jsonObject.put(thisName, thisValue); 
    } 
    User user = getCurrentUser();
    Map<String, String> qx = user.getQuanXianMap();
    StringBuffer sqlWhere = new StringBuffer();
    Iterator<String> iterator = jsonObject.keys();
    StringBuffer sqlSearch = new StringBuffer();
    sqlSearch.append(" ( 1=1 ");
    boolean fl = this.commonService.getInitVal("chaXunQuanXianKongZhi", "chaXunQuanXianKongZhi");
    if (fl) {
      Map<String, String> tjmap = new HashMap<>();
      String quanZongHao = request.getParameter("quanZongHao");
      String checkbox = (getRequest().getParameter("checkbox") == null) ? "false" : getRequest().getParameter("checkbox");
      String all_qz = this.quanZongWeiHuService.getAllQzuanZhong(user.getQuanZongHao());
      tjmap.put("guanLianQuanZong", all_qz);
      tjmap.put("checkbox", checkbox);
      tjmap.put("quanZongHao", quanZongHao);
      tjmap.put("table", this.table);
      sqlSearch.append(CommStatic.IsQuanXian(user, AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING"), tjmap));
    } 
    while (iterator.hasNext()) {
      String key = iterator.next();
      String value = jsonObject.getString(key);
      if (value != null && !value.trim().equals("") && !key.equals("page") && !key.equals("rows") && !"order".equals(key) && !"sort".equals(key) && !key.equals("checkbox") && !key.equals("nd") && !"undefined".equals(value) && !"_".equals(key)) {
        if (key.contains("begin")) {
          key = key.substring(0, key.indexOf("begin"));
          sqlWhere.append(" and ").append(
              String.valueOf(key) + " >= " + "to_date('" + value + "','yyyy-mm-dd')");
          continue;
        } 
        if (key.contains("end")) {
          key = key.substring(0, key.indexOf("end"));
          sqlWhere.append(" and ").append(
              String.valueOf(key) + " <= " + "to_date('" + value + "','yyyy-mm-dd')");
          continue;
        } 
        if (!"server".equals(key) && !"table".equals(key)) {
          if (key.equals("gdzt")) {
            if (value.equals("1")) {
              sqlWhere.append(" and zhuangTai =").append(value);
              continue;
            } 
            if (value.equals("0")) {
              sqlWhere.append(" and zhuangTai !=1");
              continue;
            } 
            if (value.equals("2")) {
              sqlWhere.append(" and zhuangTai in(").append("0,2)");
              continue;
            } 
            sqlWhere.append(" and ").append(key).append(" = '").append(value).append("'");
            continue;
          } 
          if (key.equals("guiDangNianDu")) {
            String nd = getRequest().getParameter("nd");
            if (StringUtils.isNotBlank(nd)) {
              sqlWhere.append(" and ").append(key).append(" ").append(nd).append("'").append(value).append("'");
              continue;
            } 
            sqlWhere.append(" and ").append(key).append(" = '").append(value).append("'");
            continue;
          } 
          if (!key.contains("like")) {
            if ("hangBiaoShi".equals(key)) {
              String hbs = jsonObject.getString("hangBiaoShi");
              sqlWhere.append(" and hangBiaoShi not in ( select gl.GuanLianAnJuanBiaoShi from D_AnJuanGuanLian  gl where gl.GuanLianBiaoShi='" + hbs + "') and hangBiaoShi !=" + hbs);
              continue;
            } 
            if (key.contains("_in")) {
              key = key.substring(0, key.indexOf("_in"));
              sqlWhere.append(" and ").append(String.valueOf(key) + " in ( " + value + ")");
              continue;
            } 
            sqlWhere.append(" and ").append(String.valueOf(key) + " = '" + value.trim() + "'");
            continue;
          } 
          key = key.substring(0, key.indexOf("like"));
          sqlWhere.append(" and ").append(String.valueOf(key) + " like " + "'%" + value.trim() + "%'");
        } 
      } 
    } 
    sqlSearch.append(")");
    String querySt = request.getParameter("querystr");
    if (StringUtils.isNotBlank(querySt))
      sqlWhere.append(" ").append(CommStatic.zhuHeQueryJieXi_(querySt)); 
    if (sqlWhere.length() > 0)
      sqlSearch.append(sqlWhere.toString()); 
    return sqlSearch.toString();
  }
  
  @RequestMapping({"/toAdd.do"})
  public String toAdd(HttpServletRequest request, Model model) throws Exception {
    User user = getCurrentUser();
    DAnJuan anJuan = new DAnJuan();
    String menLei = request.getParameter("menLei");
    GDangAnMenLei daml = this.gDangAnMenLeiService.findByFenLeiHao(menLei);
    if (StringUtils.isNotBlank(user.getBuMenMingChengs())) {
      String[] mcss = user.getBuMenMingChengs().split(" ");
      String[] liJianDanWeiBiaoShi = user.getBuMenBiaoShi().split(" ");
      anJuan.setLiJuanDanWeiMingCheng(mcss[0]);
      anJuan.setLiJuanDanWeiBiaoShi(Integer.valueOf(Integer.parseInt(liJianDanWeiBiaoShi[0])));
      if ("1".equals(AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING"))) {
        JiGouFenLei jg = this.commonService.getJiGouRenYuan(Integer.parseInt(user.findCurrentBuMenBiaoShi()));
        if (jg != null) {
          anJuan.setGuiDangBuMenBiaoShi(jg.getBiaoShi());
          anJuan.setGuiDangBuMenMingCheng(jg.getMingCheng());
        } 
      } 
      anJuan.setMenLei(menLei);
      anJuan.setQuanZongHao(user.getQuanZongHao());
      anJuan.setAnJuanRongLiang(daml.getJuanZuiDaYeShu());
      anJuan.setFenShu(Integer.valueOf(0));
      anJuan.setZongYeShu(Integer.valueOf(0));
      anJuan.setZhuangTai(Integer.valueOf(0));
      anJuan.setKuFangBiaoShi(Integer.valueOf(0));
      anJuan.setJianDingZhuangTai(Integer.valueOf(0));
      anJuan.setRuKuFangZhuangTai(Integer.valueOf(0));
      model.addAttribute("anJuan", anJuan);
      GDangAnMenLei dhgz = this.gDangAnMenLeiService.getByFenLeiHao(menLei);
      if (dhgz != null) {
        getRequest().setAttribute("dangHaoGuiZe", dhgz.getAnJuanDangHao());
        getRequest().setAttribute("fenGeFu", dhgz.getFenGeFu());
        getRequest().setAttribute("qiDongDangHao", dhgz.getQiDongDangHao());
      } 
      String dWQuanZongHao = AppConfiguration.getConfigValue("CPCNS_QUANZHONGHAO");
      dWQuanZongHao = dWQuanZongHao.toUpperCase();
      getRequest().setAttribute("dWQuanZongHao", dWQuanZongHao);
    } 
    return "danganzhengli/anjuan/AnJuanEdit";
  }
  
  @RequestMapping({"/toAdds.do"})
  public String toAdds(HttpServletRequest request, Model model) throws Exception {
    DAnJuan anJuan = new DAnJuan();
    User user = getCurrentUser();
    String menLei = request.getParameter("menLei");
    GDangAnMenLei dhgz = this.gDangAnMenLeiService.getByFenLeiHao(menLei);
    if (dhgz != null) {
      getRequest().setAttribute("dangHaoGuiZe", dhgz.getAnJuanDangHao());
      getRequest().setAttribute("fenGeFu", dhgz.getFenGeFu());
      getRequest().setAttribute("qiDongDangHao", dhgz.getQiDongDangHao());
    } 
    anJuan.setMenLei(menLei);
    anJuan.setFenShu(Integer.valueOf(0));
    anJuan.setZongYeShu(Integer.valueOf(0));
    anJuan.setZhuangTai(Integer.valueOf(0));
    anJuan.setKuFangBiaoShi(Integer.valueOf(0));
    anJuan.setJianDingZhuangTai(Integer.valueOf(0));
    anJuan.setRuKuFangZhuangTai(Integer.valueOf(0));
    anJuan.setQuanZongHao(user.getQuanZongHao());
    anJuan.setLiJuanDanWeiMingCheng(user.findRootBuMenMingCheng());
    anJuan.setLiJuanDanWeiBiaoShi(Integer.valueOf(user.findRootBuMenBiaoShi()));
    model.addAttribute("anJuan", anJuan);
    String dWQuanZongHao = AppConfiguration.getConfigValue("CPCNS_QUANZHONGHAO");
    dWQuanZongHao = dWQuanZongHao.toUpperCase();
    getRequest().setAttribute("dWQuanZongHao", dWQuanZongHao);
    return "danganzhengli/anjuan/AnJuanEdits";
  }
  
  @RequestMapping({"/copy.do"})
  public void copy(HttpServletRequest request, HttpServletResponse response) {
    User user = getCurrentUser();
    DAnJuan anJuan = new DAnJuan();
    String menLei = request.getParameter("menLei");
    GDangAnMenLei daml = this.gDangAnMenLeiService.findByFenLeiHao(menLei);
    if (StringUtils.isNotBlank(user.getBuMenMingChengs())) {
      String[] mcss = user.getBuMenMingChengs().split(" ");
      String[] liJianDanWeiBiaoShi = user.getBuMenBiaoShi().split(" ");
      anJuan.setLiJuanDanWeiMingCheng(mcss[0]);
      anJuan.setLiJuanDanWeiBiaoShi(Integer.valueOf(Integer.parseInt(liJianDanWeiBiaoShi[0])));
      if ("1".equals(AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING"))) {
        JiGouFenLei jg = this.commonService.getJiGouRenYuan(Integer.parseInt(user.findCurrentBuMenBiaoShi()));
        if (jg != null) {
          anJuan.setGuiDangBuMenBiaoShi(jg.getBiaoShi());
          anJuan.setGuiDangBuMenMingCheng(jg.getMingCheng());
        } 
      } 
      anJuan.setMenLei(menLei);
      anJuan.setQuanZongHao(user.getQuanZongHao());
      anJuan.setAnJuanRongLiang(daml.getJuanZuiDaYeShu());
    } 
    String J = JsonWithJacksonUtils.getInstance().obj2Json(anJuan);
    responseWriter(response, J);
  }
  
  @RequestMapping({"/save.do"})
  @ResponseBody
  public void save(HttpServletRequest request, HttpServletResponse response) throws Exception {
    ResultMessage rm = new ResultMessage();
    String info = "";
    String rizhiInfo = "修改";
    String menLei = getRequest().getParameter("menLei");
    Enumeration<?> rnames = getRequest().getParameterNames();
    JSONObject jsonObject = new JSONObject();
    String state = getRequest().getParameter("state");
    for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
      String thisName = er.nextElement().toString();
      String thisValue = getRequest().getParameter(thisName);
      jsonObject.put(thisName, thisValue);
    } 
    DAnJuan t = (DAnJuan)JsonWithJacksonUtils.getInstance().json2Obj(jsonObject.toString(), DAnJuan.class);
    if (t.getHangBiaoShi() == null || t.getHangBiaoShi().intValue() < 0) {
      t.setHangBiaoShi(Integer.valueOf(this.dAnJuanService.getPk("D_ANJUAN")));
      rizhiInfo = "新增";
      GDangAnMenLei daml = this.gDangAnMenLeiService.getByFenLeiHao(menLei);
      t.setGuanLianBiaoMing(daml.getBiaoMing());
      t.setUuid(CommStatic.getUUID32());
      rm.setBeizhu((String)t.getHangBiaoShi());
      System.out.println(CommStatic.getUUID32());
      try {
        Date date = new Date();
        t.setShanChuShiJian(date);
        this.dAnJuanService.save(t);
      } catch (Exception e) {
        e.printStackTrace();
        info = "保存失败！";
        this.dAnJuanService.updateBiaoLiuShuiHao("D_ANJUAN");
        t.setHangBiaoShi(Integer.valueOf(this.dAnJuanService.getPk("D_ANJUAN")));
        Date date = new Date();
        t.setShanChuShiJian(date);
        this.dAnJuanService.save(t);
      } 
    } else {
      Date date = new Date();
      t.setShanChuShiJian(date);
      this.dAnJuanService.update(t);
    } 
    try {
      if ("2".equals(state)) {
        User user1 = getLoginUser(request);
        String wenJianHangBiaoShis = getRequest().getParameter("wenJianHangBiaoShis");
        Map<String, String> xgzd = new HashMap<>();
        xgzd.put("guanLianBiaoShi", t.getHangBiaoShi());
        if ("WS".equals(menLei))
          xgzd.put("guiDangLeiXing", "1"); 
        Map<String, String> tjzd = new HashMap<>();
        String hbs = wenJianHangBiaoShis.replaceAll(",", "','");
        tjzd.put("hangBiaoShi", hbs);
        String[] str = wenJianHangBiaoShis.split(",");
        if (str.length > 0) {
          for (int i = 0; i < str.length; i++) {
            BaseEntity wenJian = (BaseEntity)this.commonService.getById(YeWuStatic.getMenLeiToEntity(t.getMenLei()), Integer.valueOf(Integer.parseInt(str[i])));
            if (t != null && wenJian != null) {
              GDangAnMenLei daml = this.gDangAnMenLeiService.getByFenLeiHao(wenJian.getMenLei());
              String dh = String.valueOf(t.getDangHao()) + daml.getFenGeFu() + CommStatic.geShiHuanStr((String)wenJian.getXuHao(), 4);
              xgzd.put("dangHaoString", dh);
            } 
            this.commonService.updateGuiDang(getServer(), "D_AnJuan", t.getGuanLianBiaoMing(), (String)t.getHangBiaoShi(), xgzd, tjzd);
          } 
          this.dAnJuanService.addDA_RiZhi(user1, getServer(), "D_WenJian", "biaoTi,dangHao,menLei", wenJianHangBiaoShis, "组卷");
          this.dAnJuanService.addDA_RiZhi(user1, getServer(), "D_AnJuan", t.getHangBiaoShi(), String.valueOf(t.getBiaoTi()) + "$." + t.getDangHao() + "$." + t.getMenLei(), "添加卷内文件");
        } 
      } 
      rm.setSuccess(true);
      info = "保存成功！";
      User user = getLoginUser(request);
      this.dAnJuanService.addDA_RiZhi(user, getServer(), "D_AnJuan", t.getHangBiaoShi(), String.valueOf(t.getBiaoTi()) + "$." + t.getDangHao() + "$." + t.getMenLei(), rizhiInfo);
    } catch (Exception e) {
      e.printStackTrace();
      info = "保存失败！";
      rm.setSuccess(false);
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/delete.do"})
  @ResponseBody
  public void remove(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String ids = request.getParameter("ids");
    if (StringUtils.isNotBlank(ids)) {
      String info = "";
      try {
        this.commonService.deleteByUser(getCurrentUser(), getServer(), "D_AnJuan", ids);
        this.commonService.deleGuanLian(getServer(), "D_AnJuan", ids);
        rm.setSuccess(true);
        info = "删除成功！";
        this.dAnJuanService.addDA_RiZhi(getCurrentUser(), getServer(), "D_AnJuan", "biaoTi,dangHao,menLei", ids, "删除");
      } catch (Exception e) {
        e.printStackTrace();
        rm.setSuccess(false);
        info = "删除失败！";
      } 
      rm.setInfo(info);
      rm.addResultMessage("data", "[{}]");
      responseWriter(response, rm.toString());
    } 
    rm.setSuccess(false);
    rm.setInfo("删除失败，选择的记录无效！");
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/beforeDelete.do"})
  @ResponseBody
  public void beforeDelete(HttpServletResponse response) {
    String hangBiaoShi = getRequest().getParameter("hangBiaoShi");
    ResultMessage rm = new ResultMessage();
    String sql = "select hangBiaoShi from D_AnJuanGuanLian where guanLianBiaoShi = " + hangBiaoShi;
    boolean pagevo = this.commonService.checkInfo(this.server, sql);
    if (!pagevo) {
      rm.setSuccess(true);
    } else {
      rm.setSuccess(false);
    } 
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/chaiJuan.do"})
  @ResponseBody
  public void chaiJuan(HttpServletResponse response) {
    String hangBiaoShis = getRequest().getParameter("hangBiaoShis");
    String menLei = getRequest().getParameter("menLei");
    String msg = "200";
    if (hangBiaoShis != null && !"".equals(hangBiaoShis)) {
      hangBiaoShis = hangBiaoShis.substring(0, hangBiaoShis.length() - 1);
      String hbss = hangBiaoShis.replaceAll(",", "','");
      Map<String, String> tjzd1 = new HashMap<>();
      tjzd1.put("guanLianBiaoShi", hbss);
      Map<String, String> xizd1 = new HashMap<>();
      xizd1.put("guanLianBiaoShi", "0");
      if ("WS".equals(menLei)) {
        xizd1.put("guiDangLeiXing", "1");
        xizd1.put("dangHaoString", "");
      } 
      try {
        GDangAnMenLei daml = this.gDangAnMenLeiService.getByFenLeiHao(menLei);
        this.commonService.updateGuiDang(getServer(), this.table, daml.getBiaoMing(), hbss, xizd1, tjzd1);
        this.commonService.updateQiZhiShiJian(this.server, this.table, daml.getBiaoMing(), hangBiaoShis);
        msg = "500";
        User user = getLoginUser(getRequest());
        String sql = "select hangBiaoShi from D_WenJian where guiDangLeiXing = 1 and guanLianBiaoShi in (" + hangBiaoShis + ")";
        List<Object[]> list = this.commonService.getList(sql);
        String wenJianBiaoShis = "";
        if (list != null && list.size() > 0) {
          for (int i = 0; i < list.size(); i++) {
            Object[] objects = list.get(i);
            if (objects[0] != null)
              if (wenJianBiaoShis.equals("")) {
                wenJianBiaoShis = objects[0].toString();
              } else {
                wenJianBiaoShis = String.valueOf(wenJianBiaoShis) + "," + objects[0].toString();
              }  
          } 
          if (!wenJianBiaoShis.equals(""))
            this.dAnJuanService.addDA_RiZhi(getCurrentUser(), this.server, "D_WenJian", "biaoTi,dangHao,menLei", wenJianBiaoShis, "取消组卷"); 
        } 
        this.dAnJuanService.addDA_RiZhi(user, this.server, this.table, "biaoTi,dangHao,menLei", hangBiaoShis, "拆卷");
      } catch (Exception e) {
        e.printStackTrace();
      } 
    } 
    responseWriter(response, msg);
  }
  
  @RequestMapping({"/toJuanNeiWenJian.do"})
  public String juanNeiWenJian() {
    String tabView = getRequest().getParameter("tabView");
    String hangBiaoShi = getRequest().getParameter("hangBiaoShi");
    String zhuangTai = getRequest().getParameter("zhuangTai");
    String state = getRequest().getParameter("state");
    String laiyuan = getRequest().getParameter("laiyuan");
    String shenheruku = getRequest().getParameter("shenheruku");
    String fenLeiHao = getRequest().getParameter("fenLeiHao");
    String guiDangNianDu = getRequest().getParameter("guiDangNianDu");
    String miJi = getRequest().getParameter("miJi");
    String quanZongHao = getRequest().getParameter("quanZongHao");
    if ((((shenheruku != "") ? 1 : 0) & ((shenheruku != null) ? 1 : 0)) != 0) {
      DAnJuan dAnJuan = (DAnJuan)this.dAnJuanService.getById(Integer.valueOf(hangBiaoShi));
      getRequest().setAttribute("menLei", dAnJuan.getMenLei());
    } else {
      String menLei = getRequest().getParameter("menLei");
      getRequest().setAttribute("menLei", menLei);
    } 
    getRequest().setAttribute("tabView", tabView);
    getRequest().setAttribute("laiyuan", laiyuan);
    getRequest().setAttribute("anJuanBiaoShi", hangBiaoShi);
    getRequest().setAttribute("state", state);
    getRequest().setAttribute("fenLeiHao", fenLeiHao);
    getRequest().setAttribute("zhuangTai", zhuangTai);
    getRequest().setAttribute("guiDangNianDu", guiDangNianDu);
    getRequest().setAttribute("miJi", miJi);
    getRequest().setAttribute("quanZongHao", quanZongHao);
    return "danganzhengli/anjuan/JuanNeiWenJian";
  }
  
  @RequestMapping({"/yiChuAnJuanWenJian.do"})
  @ResponseBody
  public void yiChuAnJuanWenJian(HttpServletResponse response) {
    String hangBiaoShis = getRequest().getParameter("hangBiaoShis");
    String anJuanBiaoShi = getRequest().getParameter("anJuanBiaoShi");
    String table = getRequest().getParameter("table");
    String menLei = getRequest().getParameter("menLei");
    String miJi = getRequest().getParameter("miJi");
    String msg = "200";
    if (hangBiaoShis != null && !"".equals(hangBiaoShis)) {
      hangBiaoShis = hangBiaoShis.substring(0, hangBiaoShis.length() - 1);
      Map<String, String> xgzd = new HashMap<>();
      xgzd.put("guanLianBiaoShi", "0");
      if ("WS".equals(menLei)) {
        xgzd.put("guiDangLeiXing", "1");
        xgzd.put("dangHaoString", "");
      } else if (StringUtils.isNotBlank(menLei) && menLei.length() > 4 && menLei.contains("FP")) {
        xgzd.put("dangHaoString", "");
      } 
      Map<String, String> tjzd = new HashMap<>();
      String hbss = hangBiaoShis.replaceAll(",", "','");
      tjzd.put("hangBiaoShi", hbss);
      try {
        GDangAnMenLei daml = this.gDangAnMenLeiService.getByFenLeiHao(menLei);
        this.commonService.updateGuiDang(getServer(), table, daml.getBiaoMing(), anJuanBiaoShi, xgzd, tjzd);
        this.commonService.updateQiZhiShiJian(getServer(), table, daml.getBiaoMing(), anJuanBiaoShi);
        DAnJuan aj = (DAnJuan)this.dAnJuanService.getById(Integer.valueOf(Integer.parseInt(anJuanBiaoShi)));
        User user = getLoginUser(getRequest());
        this.dAnJuanService.addDA_RiZhi(user, getServer(), "D_AnJuan", anJuanBiaoShi, String.valueOf(aj.getBiaoTi()) + "$." + aj.getDangHao() + "$." + aj.getMenLei(), "移除卷内文件");
        this.dAnJuanService.addDA_RiZhi(getCurrentUser(), this.server, "D_WenJian", "biaoTi,dangHao,menLei", hangBiaoShis, "取消组卷");
      } catch (Exception e) {
        e.printStackTrace();
      } 
      msg = "500";
    } 
    responseWriter(response, msg);
  }
  
  @RequestMapping({"/toAddJuanNeiWenJian.do"})
  public String addJuanNeiWenJian() {
    String hangBiaoShi = getRequest().getParameter("hangBiaoShi");
    String menLei = getRequest().getParameter("menLei");
    String fenLeiHao = getRequest().getParameter("fenLeiHao");
    String miJi = getRequest().getParameter("miJi");
    if (StringUtils.isNotBlank(hangBiaoShi)) {
      DAnJuan anJuan = (DAnJuan)this.dAnJuanService.getById(Integer.valueOf(Integer.parseInt(hangBiaoShi)));
      getRequest().setAttribute("guiDangNianDu", anJuan.getGuiDangNianDu());
      getRequest().setAttribute("baoGuanQiXian", anJuan.getBaoGuanQiXian());
      getRequest().setAttribute("wenJianGuanLianBiaoShi", hangBiaoShi);
      getRequest().setAttribute("quanZongHao", anJuan.getQuanZongHao());
    } 
    getRequest().setAttribute("menLei", menLei);
    getRequest().setAttribute("fenLeiHao", fenLeiHao);
    getRequest().setAttribute("guanLianBiaoShi", Integer.valueOf(0));
    getRequest().setAttribute("gdType", Integer.valueOf(1));
    getRequest().setAttribute("miJi", miJi);
    return "danganzhengli/anjuan/anJuanAddWenJian";
  }
  
  @RequestMapping({"/guanLianAnJuan.do"})
  public String guanLianAnJuan(HttpServletRequest request, HttpServletResponse response, Model model) {
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    String menLei = request.getParameter("menLei");
    model.addAttribute("hangBiaoShi", hangBiaoShi);
    model.addAttribute("menLei", menLei);
    return "/danganzhengli/anjuan/GuanLianAnJuanList";
  }
  
  @RequestMapping({"/getAllGuanLianAnJuan.do"})
  @ResponseBody
  public void getAllGuanLianAnJuan(HttpServletResponse response) throws IOException {
    int hangBiaoShi = Integer.parseInt(getRequest().getParameter("hangBiaoShi"));
    String menLei = getRequest().getParameter("menLei");
    StringBuffer sqlWHERE = (new StringBuffer()).append(" and HangBiaoShi in ( ");
    String page = getRequest().getParameter("page");
    String rows = getRequest().getParameter("rows");
    PagerVO pagevo = null;
    int intPage = Integer.parseInt((page == null || page == "0") ? "1" : page);
    int number = Integer.parseInt((rows == null || rows == "0") ? "10" : rows);
    int start = (intPage - 1) * number;
    List<DAnJuanGuanLian> list = this.dAnJuanGuanLianService.getAll();
    for (int i = 0; i < list.size(); i++) {
      if (((DAnJuanGuanLian)list.get(i)).getGuanLianBiaoShi() != null) {
        int glbs = ((DAnJuanGuanLian)list.get(i)).getGuanLianBiaoShi().intValue();
        if (glbs == hangBiaoShi)
          sqlWHERE.append(((DAnJuanGuanLian)list.get(i)).getGuanLianAnJuanBiaoShi()).append(" , "); 
      } 
    } 
    sqlWHERE.append("0 )").append(" and menLei=").append("'").append(menLei).append("'");
    pagevo = this.dAnJuanService.getAll(0, 0, sqlWHERE.toString());
    String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo);
    write(response, jsonString);
  }
  
  @RequestMapping({"/removeGuanLianAnJuan.do"})
  @ResponseBody
  public void removeGuanLianAnJuan(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String hangBiaoShis = request.getParameter("hangBiaoShis");
    String hangBiaoS = request.getParameter("hangBiaoShi");
    StringBuffer sqlWHERE = (new StringBuffer()).append(" GuanLianBiaoShi = ").append(hangBiaoS).append(" and ").append(" GuanLianAnJuanBiaoShi in ( " + hangBiaoShis + " )");
    String info = "";
    try {
      this.dAnJuanGuanLianService.deleteGuanLianAnJuan(sqlWHERE.toString());
      info = "删除成功！";
      if (isLog(request))
        User user = getLoginUser(request); 
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "删除失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/openGuanLianAnJuan.do"})
  public String openGuanLianAnJuan() {
    String hangBiaoShi = getRequest().getParameter("hangBiaoShi");
    String menLei = getRequest().getParameter("menLei");
    getRequest().setAttribute("hangBiaoShi", hangBiaoShi);
    getRequest().setAttribute("menLei", menLei);
    return "/danganzhengli/anjuan/AddGuanLianAnJuanList";
  }
  
  @RequestMapping({"/addAnJuanGuanLian.do"})
  @ResponseBody
  public void addJianGuanLian(HttpServletRequest request, HttpServletResponse response) {
    Integer gLHangBiaoShi = Integer.valueOf(Integer.parseInt(request.getParameter("gLHangBiaoShi")));
    String bGLHangBiaoShis = request.getParameter("bGLHangBiaoShis");
    String[] bglhangBiaoShi = bGLHangBiaoShis.split(",");
    JSONObject jsonObject = new JSONObject();
    ResultMessage rm = new ResultMessage();
    String info = "";
    for (int i = 0; i < bglhangBiaoShi.length; i++) {
      jsonObject.put("guanLianBiaoShi", gLHangBiaoShi);
      jsonObject.put("guanLianAnJuanBiaoShi", Integer.valueOf(Integer.parseInt(bglhangBiaoShi[i])));
      DAnJuanGuanLian t = (DAnJuanGuanLian)JsonWithJacksonUtils.getInstance().json2Obj(jsonObject.toString(), DAnJuanGuanLian.class);
      if (t.getHangBiaoShi() == null || t.getHangBiaoShi().intValue() < 0)
        t.setHangBiaoShi(Integer.valueOf(this.dAnJuanGuanLianService.getPk())); 
      try {
        this.dAnJuanGuanLianService.saveOrUpdate(t);
        rm.setSuccess(true);
        info = "关联成功！";
        if (isLog(request))
          User user = getLoginUser(request); 
      } catch (Exception e) {
        e.printStackTrace();
        info = "关联失败！";
        rm.setSuccess(false);
      } 
      rm.setInfo(info);
      responseWriter(response, rm.toString());
    } 
  }
  
  @RequestMapping({"/zuJuanAdd.do"})
  public String zuJuanAdd() {
    String hangBiaoShis = getRequest().getParameter("hangBiaoShis");
    String miJi = getRequest().getParameter("miJi");
    String menLei = getRequest().getParameter("menLei");
    String[] hangBiaoShi = hangBiaoShis.split(",");
    if (hangBiaoShi.length > 0) {
      BaseEntity wenJian = (BaseEntity)this.commonService.getById(YeWuStatic.getMenLeiToEntity(menLei), Integer.valueOf(Integer.parseInt(hangBiaoShi[0])));
      GDangAnMenLei daml = this.gDangAnMenLeiService.getByFenLeiHao(wenJian.getMenLei());
      if (daml != null) {
        getRequest().setAttribute("dangHaoGuiZe", daml.getAnJuanDangHao());
        getRequest().setAttribute("fenGeFu", daml.getFenGeFu());
        getRequest().setAttribute("qiDongDangHao", daml.getQiDongDangHao());
      } 
      String rq = "dengJiRiQi";
      if (menLei.equals("WS"))
        rq = "chengWenRiQi"; 
      StringBuilder sql = new StringBuilder();
      if (menLei.equals("ZP")) {
        sql.append("select ").append(rq).append(",geShu from ").append(daml.getBiaoMing())
          .append(" where hangBiaoShi in (").append(hangBiaoShis).append(") order by xuHao ");
      } else {
        sql.append("select ").append(rq).append(",yeShu from ").append(daml.getBiaoMing())
          .append(" where hangBiaoShi in (").append(hangBiaoShis).append(") order by xuHao ");
      } 
      List<Object[]> rqs = this.commonService.getList(sql.toString());
      User use = getCurrentUser();
      DAnJuan anjuan = new DAnJuan();
      String mcs = use.getBuMenMingChengs();
      if (StringUtils.isNotBlank(mcs)) {
        String[] mcss = mcs.split(" ");
        anjuan.setLiJuanDanWeiMingCheng(mcss[0]);
      } 
      int zys = 0;
      if (rqs != null && rqs.size() > 0) {
        for (int z = 0; z < rqs.size(); z++) {
          Object[] obj = rqs.get(z);
          zys += Integer.parseInt((String)obj[1]);
        } 
        Object[] obj1 = rqs.get(0);
        if (rqs.size() > 1) {
          anjuan.setQiShiJian((String)obj1[0]);
          obj1 = rqs.get(rqs.size() - 1);
          anjuan.setZhiShiJian((String)obj1[0]);
        } else {
          anjuan.setQiShiJian((String)obj1[0]);
          anjuan.setZhiShiJian((String)obj1[0]);
        } 
      } 
      anjuan.setZongYeShu(Integer.valueOf(zys));
      anjuan.setLiJuanDanWeiBiaoShi(Integer.valueOf(use.findRootBuMenBiaoShi()));
      anjuan.setQuanZongHao(use.getQuanZongHao());
      anjuan.setFenLeiHao(wenJian.getFenLeiHao());
      anjuan.setFenLeiMingCheng(wenJian.getFenLeiMingCheng());
      anjuan.setGuiDangNianDu(wenJian.getGuiDangNianDu());
      anjuan.setMenLei(menLei);
      getRequest().setAttribute("state", Integer.valueOf(2));
      getRequest().setAttribute("wenJian", wenJian);
      getRequest().setAttribute("anJuan", anjuan);
      getRequest().setAttribute("miJi", miJi);
      getRequest().setAttribute("wenJianHangBiaoShis", hangBiaoShis);
    } 
    String dWQuanZongHao = AppConfiguration.getConfigValue("CPCNS_QUANZHONGHAO");
    dWQuanZongHao = dWQuanZongHao.toUpperCase();
    getRequest().setAttribute("dWQuanZongHao", dWQuanZongHao);
    return "danganzhengli/anjuan/AnJuanEdit";
  }
  
  @RequestMapping({"/validation.do"})
  public void validation(HttpServletResponse response) {
    String muLuHao = getRequest().getParameter("muLuHao");
    String quanZongHao = getRequest().getParameter("quanZongHao");
    String msg = "500";
    if (StringUtils.isNotBlank(muLuHao) && StringUtils.isNotBlank(quanZongHao)) {
      StringBuffer sqlWHERE = (new StringBuffer()).append(" quanZongHao = " + quanZongHao + ",muLuHao= '" + muLuHao + "'");
      sqlWHERE.append("\tand zhuangTai not in(3,4)");
      PagerVO pagevo = this.dAnJuanService.getAll(0, 0, sqlWHERE.toString());
      if (pagevo.getRows().size() >= 9999)
        msg = "600"; 
    } 
    responseWriter(response, msg);
  }
  
  @RequestMapping({"/addToKuFang.do"})
  public void addToKuFang(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String info = "";
    User user = getCurrentUser();
    try {
      String hangBiaoShis = this.dAnJuanService.addToKuFang(request, user);
      String sql = "select hangBiaoShi,dangHao from D_WenJian where guiDangLeiXing = 1 and guanLianBiaoShi in (" + hangBiaoShis + ")";
      List<Object[]> list = this.commonService.getList(sql);
      String wenJianBiaoShis = "";
      if (list != null && list.size() > 0) {
        for (int i = 0; i < list.size(); i++) {
          Object[] objects = list.get(i);
          if (objects[0] != null)
            if (wenJianBiaoShis.equals("")) {
              wenJianBiaoShis = objects[0].toString();
            } else {
              wenJianBiaoShis = String.valueOf(wenJianBiaoShis) + "," + objects[0].toString();
            }  
        } 
        if (!wenJianBiaoShis.equals(""))
          this.dAnJuanService.addDA_RiZhi(getCurrentUser(), "CPCNS_DA_GDXT", "D_WenJian", "biaoTi,dangHao,menLei", wenJianBiaoShis, "上架"); 
      } 
      this.dAnJuanService.addDA_RiZhi(getCurrentUser(), "CPCNS_DA_GDXT", "D_AnJuan", "biaoTi,dangHao,menLei", hangBiaoShis, "上架");
      rm.setSuccess(true);
      info = "上架成功！";
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "上架失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/guiDang.do"})
  @ResponseBody
  public void guiDang(HttpServletResponse response) {
    String hangBiaoShis = getRequest().getParameter("hangBiaoShis");
    String menLei = getRequest().getParameter("menLei");
    String msg = "200";
    if (hangBiaoShis != null && !"".equals(hangBiaoShis))
      try {
        String table = "D_WenJian";
        if (StringUtils.isNotBlank(menLei) && menLei.length() > 4 && menLei.contains("PF"))
          table = "D_ZHUANTI"; 
        this.dAnJuanService.updateAnJuanZhuangTai(hangBiaoShis, Integer.valueOf(1));
        msg = "500";
        User user = getLoginUser(getRequest());
        String sql = "select hangBiaoShi,dangHao from " + table + " where guiDangLeiXing = 1 and guanLianBiaoShi in (" + hangBiaoShis + ")";
        List<Object[]> list = this.commonService.getList(sql);
        String wenJianBiaoShis = "";
        if (list != null && list.size() > 0) {
          for (int i = 0; i < list.size(); i++) {
            Object[] objects = list.get(i);
            if (objects[0] != null)
              if (wenJianBiaoShis.equals("")) {
                wenJianBiaoShis = objects[0].toString();
              } else {
                wenJianBiaoShis = String.valueOf(wenJianBiaoShis) + "," + objects[0].toString();
              }  
          } 
          if (!wenJianBiaoShis.equals(""))
            this.dAnJuanService.addDA_RiZhi(getCurrentUser(), this.server, table, "biaoTi,dangHao,menLei", wenJianBiaoShis, "归档"); 
        } 
        this.dAnJuanService.addDA_RiZhi(user, getServer(), "D_AnJuan", "biaoTi,dangHao,menLei", hangBiaoShis, "归档");
      } catch (Exception e) {
        e.printStackTrace();
      }  
    responseWriter(response, msg);
  }
  
  @RequestMapping({"/quXiaoGuiDang.do"})
  @ResponseBody
  public void quXiaoGuiDang(HttpServletResponse response) {
    String hangBiaoShis = getRequest().getParameter("hangBiaoShis");
    String menLei = getRequest().getParameter("menLei");
    String msg = "200";
    if (hangBiaoShis != null && !"".equals(hangBiaoShis))
      try {
        String table = "D_WenJian";
        if (StringUtils.isNotBlank(menLei) && menLei.length() > 4 && menLei.contains("PF"))
          table = "D_ZHUANTI"; 
        this.dAnJuanService.updateAnJuanZhuangTai(hangBiaoShis, Integer.valueOf(0));
        msg = "500";
        User user = getLoginUser(getRequest());
        String sql = "select hangBiaoShi,dangHao from " + table + " where guiDangLeiXing = 1 and guanLianBiaoShi in (" + hangBiaoShis + ")";
        List<Object[]> list = this.commonService.getList(sql);
        String wenJianBiaoShis = "";
        if (list != null && list.size() > 0) {
          for (int i = 0; i < list.size(); i++) {
            Object[] objects = list.get(i);
            if (objects[0] != null)
              if (wenJianBiaoShis.equals("")) {
                wenJianBiaoShis = objects[0].toString();
              } else {
                wenJianBiaoShis = String.valueOf(wenJianBiaoShis) + "," + objects[0].toString();
              }  
          } 
          if (!wenJianBiaoShis.equals(""))
            this.dAnJuanService.addDA_RiZhi(getCurrentUser(), this.server, table, "biaoTi,dangHao,menLei", wenJianBiaoShis, "取消归档"); 
        } 
        this.dAnJuanService.addDA_RiZhi(user, getServer(), "D_AnJuan", "biaoTi,dangHao,menLei", hangBiaoShis, "取消归档");
      } catch (Exception e) {
        e.printStackTrace();
      }  
    responseWriter(response, msg);
  }
  
  @RequestMapping({"/check.do"})
  public String check(HttpServletRequest request, HttpServletResponse response) {
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    String keyWordResult = request.getParameter("keyWordResult");
    String menLei = getRequest().getParameter("menLei");
    String czlx = getRequest().getParameter("czlx");
    DAnJuan cla = new DAnJuan();
    String laiyuan = request.getParameter("laiyuan");
    if (StringUtils.isNotBlank(hangBiaoShi)) {
      cla = (DAnJuan)this.dAnJuanService.getById(Integer.valueOf(Integer.parseInt(hangBiaoShi)));
      cla.setLjrq(DateUtil.getDate(cla.getLiJuanRiQi()));
      cla.setGdrq(DateUtil.getDate(cla.getGuiDangRiQi()));
      GDangAnMenLei dhgz = this.gDangAnMenLeiService.getByFenLeiHao(cla.getFenLeiHao());
      if (dhgz != null) {
        getRequest().setAttribute("dangHaoGuiZe", dhgz.getAnJuanDangHao());
        getRequest().setAttribute("fenGeFu", dhgz.getFenGeFu());
        getRequest().setAttribute("qiDongDangHao", dhgz.getQiDongDangHao());
      } 
      getRequest().setAttribute("keyWordResult", keyWordResult);
      getRequest().setAttribute("laiyuan", laiyuan);
      this.dAnJuanService.addDA_RiZhi(getCurrentUser(), getServer(), "D_AnJuan", cla.getHangBiaoShi(), String.valueOf(cla.getBiaoTi()) + "$." + cla.getDangHao() + "$." + cla.getMenLei(), "查看");
    } else {
      cla.setMenLei(menLei);
    } 
    getRequest().setAttribute("anJuan", cla);
    getRequest().setAttribute("czlx", czlx);
    String dWQuanZongHao = AppConfiguration.getConfigValue("CPCNS_QUANZHONGHAO");
    dWQuanZongHao = dWQuanZongHao.toUpperCase();
    getRequest().setAttribute("dWQuanZongHao", dWQuanZongHao);
    return "danganzhengli/anjuan/CKAnJuanEdit";
  }
  
  @RequestMapping({"/jnmlPrint.do"})
  public String jnmlPrint(HttpServletRequest request, HttpServletResponse response) throws Exception {
    try {
      String hangBiaoShi = request.getParameter("hangBiaoShi");
      String menLei = request.getParameter("menLei");
      String dangHao = request.getParameter("dangHao");
      String leixing = request.getParameter("leixing");
      String fpbs = request.getParameter("fpbs");
      User user = getCurrentUser();
      String dh = "";
      String model = "juanneimulu.jasper";
      String juanneiTable = "D_wenJian";
      String dWQuanZongHao = AppConfiguration.getConfigValue("CPCNS_QUANZHONGHAO");
      List<XiTongDaiMa> xtdms = this.commonService.xiTongDaiMaList("7087");
      HashMap<String, Object> params = new HashMap<>();
      List<List<Map<String, Object>>> listAll = new ArrayList<>();
      if (StringUtils.isNotBlank(hangBiaoShi)) {
        List<Map<String, Object>> list = new ArrayList<>();
        String[] hbs = hangBiaoShi.split(",");
        for (int h = 0; h < hbs.length; h++) {
          String hbs_ = hbs[h];
          if (StringUtils.isNotBlank(fpbs))
            juanneiTable = "D_zhuanTi"; 
          StringBuilder sql = (new StringBuilder("select w.hangBiaoShi,w.biaoTi,w.wenHao,w.zeRenZhe,w.chengWenRiQi cwrq,w.zhiYeHao,w.qiYeHao,w.miJi,w.yeShu,w.beiZhu from " + juanneiTable + " w where w.menLei='" + menLei + "' AND w.guanLianBiaoShi="))
            .append(hbs_).append(" order by xuHao asc ");
          list = this.commonService.getListSQL(sql.toString());
          Map<Object, Object> mmp = new HashMap<>();
          mmp.put("", "");
          if (list.size() % 10 != 0) {
            int y = list.size() % 10;
            System.out.println(y);
            if (y != 0) {
              int x = 10 - y;
              for (int a = 1; a <= x; a++)
                list.add(mmp); 
            } 
          } 
          if (list != null && list.size() > 0) {
            List<Map<String, Object>> listmiji = new ArrayList<>();
            boolean fg = this.commonService.getInitVal("miJiShow", "miJiShow");
            List<Map<String, Object>> listddd = list;
            this.dWenJianService.setMiJiInfo(listddd);
            listAll.add(listmiji);
            String tempdh = "";
            StringBuffer hql = new StringBuffer(" select dangHao as dh from d_anJuan where hangbiaoshi =" + hbs_);
            List DangHaolist = this.commonService.getListSQL(hql.toString());
            Integer size = Integer.valueOf(DangHaolist.size());
            int f = 0;
            for (Iterator<Map<String, Object>> fj = DangHaolist.iterator(); fj.hasNext(); ) {
              f++;
              Map<String, Object> fjobj = fj.next();
              tempdh = (fjobj.get("DH") != null) ? fjobj.get("DH").toString() : "";
              if (dh == "" || dh == null) {
                dh = tempdh;
                continue;
              } 
              dh = String.valueOf(dh) + "," + tempdh;
            } 
          } 
        } 
      } 
      dWQuanZongHao = dWQuanZongHao.toUpperCase();
      if (StringUtils.isNotBlank(dWQuanZongHao))
        if (StringUtils.isNotBlank(fpbs) && (dWQuanZongHao.equals("D0059") || dWQuanZongHao.equals("DE006"))) {
          model = "FPjuanneimulu.jasper";
        } else if (dWQuanZongHao.equals("DA145")) {
          if (leixing.equals("B5")) {
            model = "juanneimulu" + leixing + ".jasper";
          } else {
            model = "juanneimulu_C028.jasper";
          } 
        } else {
          model = "juanneimulu_" + dWQuanZongHao + ".jasper";
        }  
      if (StringUtils.isBlank(dh))
        dh = dangHao; 
      params.put("dangHao", dh);
      String printService = AppConfiguration.getConfigValue("printServlet");
      PrintUtil.printService_(request, user, printService, model, listAll, params, "jnml");
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return "print/check";
  }
  
  @RequestMapping({"/jnbkbPrint.do"})
  public String jnbkbPrint(HttpServletRequest request, HttpServletResponse response) throws Exception {
    try {
      String hangBiaoShi = request.getParameter("hangBiaoShi");
      String menLei = request.getParameter("menLei");
      User user = getCurrentUser();
      List<Map<String, Object>> list = new ArrayList<>();
      Map<String, Object> wjp = new HashMap<>();
      list.add(wjp);
      HashMap<String, Object> params = new HashMap<>();
      String model = "juanneibeikaobiao.jasper";
      String printService = AppConfiguration.getConfigValue("printServlet");
      PrintUtil.printService(request, user, printService, model, list, params, "jnbkb");
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return "print/check";
  }
  
  @RequestMapping({"/ajmlPrint.do"})
  public String ajmlPrint(HttpServletRequest request, HttpServletResponse response) throws Exception {
    User user = getCurrentUser();
    String printService = AppConfiguration.getConfigValue("printServlet");
    String dWQuanZongHao = AppConfiguration.getConfigValue("CPCNS_QUANZHONGHAO");
    String menLei = request.getParameter("menLei");
    String fpbs = request.getParameter("fpbs");
    String xtlx = AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING");
    String moban = "anjuanmulu.jasper";
    if ("2".equals(xtlx) && "RKPCWS".equals(menLei))
      moban = "danganmulu_RKPCWS_danganguan.jasper"; 
    if ("1".equals(xtlx) && "RKPCWS".equals(menLei))
      moban = "danganmulu_RKPCWS_danganshi.jasper"; 
    if ("KJCGWS".equals(menLei))
      moban = "danganmulu_KJCGWS.jasper"; 
    if ("GYPCWS".equals(menLei))
      moban = "danganmulu_GYPCWS.jasper"; 
    if (StringUtils.isNotBlank(fpbs) && (dWQuanZongHao.equals("D0059") || dWQuanZongHao.equals("DE006")))
      moban = "FPanjuanmulu.jasper"; 
    Map<String, Object> map = tool.getRequestParamsMaps(request);
    HashMap<String, Object> params = new HashMap<>();
    String sqlSearch = String.valueOf(getWhere(request)) + " and zhuangTai in ( 0,1,2,5) ";
    List<Map<String, Object>> list = this.dAnJuanService.getDate(this.table, sqlSearch, user, fpbs);
    List<Map<String, Object>> listAll = new ArrayList<>();
    List<XiTongDaiMa> bgqxs = this.commonService.xiTongDaiMaList("11720");
    for (int i = 0; i < list.size(); i++) {
      Map<String, Object> m = list.get(i);
      String bmqx = (String)m.get("BAOGUANQIXIAN");
      String bgqxmc = "";
      if (StringUtils.isNotBlank(bmqx) && !"null".equals(bmqx) && !"0".equals(bmqx))
        for (int q = 0; q < bgqxs.size(); q++) {
          XiTongDaiMa xtdm = bgqxs.get(q);
          String dm = xtdm.getZiFuDaiMa();
          String mc = xtdm.getMingCheng();
          if (bmqx.equals(dm)) {
            bgqxmc = mc;
            break;
          } 
        }  
      m.put("BAOGUANQIXIAN", bgqxmc);
      listAll.add(m);
    } 
    if (listAll.size() > 0) {
      Map<Object, Object> mmp = new HashMap<>();
      mmp.put("", "");
      if (listAll.size() % 10 != 0) {
        int y = listAll.size() % 10;
        System.out.println(y);
        if (y != 0) {
          int x = 10 - y;
          for (int a = 1; a <= x; a++)
            listAll.add(mmp); 
        } 
      } 
    } 
    PrintUtil.printService(request, user, printService, moban, listAll, params, "zyda");
    return "print/check";
  }
}
